Package org.opensaml.saml.saml2.assertion

# Interface AssertionValidator

@ThreadSafe public interface AssertionValidator
A validator that evaluates an `Assertion` generically.

This is a generic extension point for deployer-provided logic outside normal constraints.

Since:
  4.1.0

## Method Summary

Modifier and Type
Method
Description
`ValidationResult`
`validate(Assertion assertion, ValidationContext context)`
Validates the given assertion.

## Method Details

### validate

@Nonnull ValidationResult validate(@Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Validates the given assertion.

Parameters:
  `assertion` - assertion being evaluated
  `context` - current Assertion validation context
Returns:
  the result of the evaluation
Throws:
  `AssertionValidationException` - if there is a problem processing the validation operation